package com.framwork;

import com.framwork.container.ContainerRegistry;
import com.framwork.container.ContainerWrapper;
import com.framwork.container.ServiceLocator;

public class ServiceLocatorRegistry implements ContainerRegistry{

  public final static int ORDER = 0;

  public final static String SL_NAME = "ServiceLocator";
  private ContainerWrapper containerWrapper;
  public ContainerWrapper getContainerWrapper() {
    return containerWrapper;
  }

  public ServiceLocatorRegistry(ContainerWrapper containerWrapper){
    this.containerWrapper = containerWrapper;
  }


  /**
   * ServiceLocatorȫԵģҪԤɶ ʹnew
   * @param container MutablePicoContainer
   */
  public void register() {
    ServiceLocator serviceLocator = new ServiceLocator();
    containerWrapper.register(SL_NAME, serviceLocator);
  }



}
