package com.framwork.dao;


/**
 * ļƣStore.java
 * @author BILL
 * @version $Revision: 1.0 $ $Date: 2004-09-15 11:31 $
 */

public interface Store {

    public final static String CREATE_NAME = "create";
    public final static String STORE_NAME = "store";
    public final static String REMOVE_NAME = "remove";

    public Persistent create(Persistent p) throws StoreException;

    public Persistent store(Persistent obj) throws StoreException;

    public Object load(String id, Persistent p) throws StoreException;

    public boolean remove(Persistent p, String id[]) throws StoreException;

    public boolean remove(Persistent p) throws StoreException;

    public void beginTransaction() throws StoreException;

    public void commit() throws StoreException;

    public void rollback() throws StoreException;

    public void clearParameters();

    public void close() throws StoreException;

    public Store addCPKey(String s);

    public Store addWhere(String s);

    public Store addASC(String s);

    public Store addDESC(String s);

    public Store addOrder(String s);

    public void setFilter(boolean b);


    public void setPageCtr(int pageIndex, int pageSize);

    public java.util.Iterator executeQuery(Persistent p, boolean include) throws StoreException;

    public java.util.Iterator executeQuery(Persistent p) throws StoreException;

    public java.util.Iterator executeQuery(Class z) throws StoreException;

    public void addWhere(Persistent obj) throws StoreException;

    public int getCount();
    public int getIntCurPage();

    public int getIntPageCount();

    public java.util.List getSQLLogger();

}
