package com.framwork.web;

import com.framwork.util.Debug;
import com.framwork.container.KeyConstants;
import com.framwork.container.ContainerWrapper;
import com.framwork.container.ServletContainerFinder;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.ServletContext;

/**
 * WebWebκΪͻ˵ñࡣ
 *
 * <p>Copyright: Jdon.com Copyright (c) 2005</p>
 * <p></p>
 * @author banq
 * @version JdonSD 2.5
 */
public class WebAppUtil {

    private final static String module = WebAppUtil.class.getName();

    private static ServletContainerFinder scf = new ServletContainerFinder();

  /**
   * ӿлͨPOJOʵ
   * @param serviceClassName  Modelmanager.class
   * @param sc ServletContext
   * @return Object
   */
  public static Object getPOJOService(String name, HttpServletRequest request) throws
      Exception {
    ContainerWrapper containerWrapper = null;
    Object result = null;
    try {
      Debug.logVerbose(" ---> getPOJOService ", module);
      containerWrapper = scf.findContainer(request);
      result = containerWrapper.lookup(name);
    } catch (Exception ex) {
      Debug.logError(" ---> getPOJOService error " + ex, module);
      throw new Exception("system.error");
    }
    return result;
  }

  public static Object getPOJOService(String name, ServletContext sc)
     throws Exception{
    ContainerWrapper containerWrapper = null;
    Object result = null;
    try {
      Debug.logVerbose(" ---> getPOJOService ", module);
      containerWrapper = scf.findContainer(sc);
      result = containerWrapper.lookup(name);
    } catch (Exception ex) {
      Debug.logError(" ---> getPOJOService error " + ex, module);
      throw new Exception("system.error" + ex);
    }
    return result;
  }


}
