package com.framwork.taglib;

import com.sx.common.Constants;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import javax.servlet.http.HttpSession;
import java.io.*;

/** Very simple JSP tag that just inserts a string
 * ("Custom tag example...") into the output.
 * The actual name of the tag is not defined here;
 * that is given by the Tag Library Descriptor (TLD)
 * file that is referenced by the taglib directive
 * in the JSP file.
 */
public class BasicTag extends TagSupport {

    private String path;

    private boolean isNum;

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public boolean isNum() {
        return isNum;
    }

    public void setIsNum(boolean num) {
        isNum = num;
    }

    public BasicTag() {
        path = "images/";
        isNum = false;
    }


    public int doEndTag() {

        try {

            JspWriter out = pageContext.getOut();
            int len = 10000;

            int i = (int) (java.lang.Math.random() * len);
            if (i < 1000) i = i + 1000;

            HttpSession session = pageContext.getSession();
            session.setAttribute(Constants.CHECK_NUM, String.valueOf(i));

            if (isNum)
                out.print("<font face=\"MS Mincho\" color=#ff0033 size=3px><b>" + i + "</b></font>");
           else {
                for (int j = 0; j < String.valueOf(i).length(); j++) {
                    out.print("<img src='" + path + String.valueOf(i).substring(j, j + 1) + ".jpg'  align='absmiddle' ' border='0'>");
                }
            }
            //out.print("Custom tag example " + "(com.framwork.taglib.BasicTag)");
            out.print("<font color=#ff0033 size=2px>&nbsp;*</font>");

        } catch (IOException ioe) {
            System.out.println("Error in BasicTag: " + ioe);
        }
        return (EVAL_PAGE);
    }

    //
    public static boolean isVerifyCheckNum(javax.servlet.http.HttpServletRequest request) {

        if (request == null) return false;
        HttpSession session = request.getSession();
        if (request.getParameter(Constants.CHECK_NUM) != null &&
                request.getParameter(Constants.CHECK_NUM).equals(session.getAttribute(Constants.CHECK_NUM))) {
            return true;
        }
        return false;
    }

}