package com.framwork.taglib;

import com.framwork.taglib.Passport;

import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;
import java.io.*;


/**
 * <p>Title: Webչǩ</p>
 * <p>Description: Webչǩjspҳ档</p>
 * @version 1.0
 */

public class PassportTag extends TagSupport {

    String passportName = null;

    public PassportTag() {
    }

    public int doEndTag() throws javax.servlet.jsp.JspException {
        //
        JspWriter out = pageContext.getOut();
        try {
            String htmlTag = buildHtmlTag();
            out.println(htmlTag);
        } catch (IOException ex) {
            ex.printStackTrace();
        }
        return EVAL_PAGE;

    }

    public String buildHtmlTag() throws IOException {

        StringBuffer htmlTag = new StringBuffer();
        javax.servlet.ServletRequest request = pageContext.getRequest();
        javax.servlet.http.HttpSession session = pageContext.getSession();
        Passport passport = new Passport(session, request);
        passport.setPassportName(this.passportName);
        String passportValue = passport.createPassport();
        htmlTag.append("<INPUT TYPE=HIDDEN NAME=");
        htmlTag.append(passport.getPassportName());
        htmlTag.append(" VALUE=");
        htmlTag.append(passportValue);
        htmlTag.append(" >");
        return htmlTag.toString();
    }

    public String getPassportName() {
        return passportName;
    }

    public void setPassportName(String passportName) {
        this.passportName = passportName;
    }

    public void release() {
        super.release();
    }

}