package com.framwork.web;

import com.framwork.container.ContainerSetupScript;
import com.framwork.container.KeyConstants;

import javax.servlet.ServletContextListener;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpSessionEvent;
import java.io.Serializable;

/**
 * web.xmlΪ
 *  <listener>
 <listener-class>com.framwork.web.ServletContainerListener</listener-class>
 </listener>

 * <p>Copyright: Jdon.com Copyright (c) 2005</p>
 * <p></p>
 * @author banq
 * @version JdonSD 2.5
 */
public class ServletContainerListener implements ServletContextListener,
        KeyConstants, Serializable {

    public final static String module = ServletContainerListener.class.getName();

    private ContainerSetupScript css = new ContainerSetupScript();

    public void contextInitialized(ServletContextEvent event) {
        ServletContext context = event.getServletContext();
        css.initialized(context);
    }

    public void contextDestroyed(ServletContextEvent event) {
        ServletContext context = event.getServletContext();
        css.destroyed(context);

    }

    public void sessionCreated(HttpSessionEvent event) {

    }

    public void sessionDestroyed(HttpSessionEvent event) {
    }

}
